$(function() {

   //アコーディオンメニュー
   $('nav p,nav p a[href^=#]').on('click', function() {
     $(this).next('ul').slideToggle();
     $(this).children('span').toggleClass('open');
     $('.sub-menu').not($(this).next('.sub-menu')).slideUp();
     $('nav p').children('span').not($(this).children('span')).removeClass('open');
   });

    //小画面時にメニュー内リンクを押した場合、一度閉じる
    //ページ内リンク用
    $("#side a").on("click", function() {
        (window.innerWidth ? window.innerWidth : $(window).width()) <= 600 && $("#open").click()
    });
    
    //小画面時にメニューを閉じてからリサイズするとメニューが表示されないのを防ぐ
    $(window).resize(function() {
        var menu = $("#side"),
            w = window.innerWidth ? window.innerWidth : $(window).width();
        w > 600 && menu.is(":hidden") && menu.attr("style", ""),
    //600以上の時にリサイズするとメニューの矢印の表示がずれるのを防ぐ
        w <= 600 && $('nav p span').removeClass('open'),
        w <= 600 && $('.sub-menu').slideUp();
    });

    //メニューを開くボタンの動作
    $('#open').click(function() {
        $('#side').slideToggle(300);
        $('#open-icon').toggleClass('close');
        return false;
    });
    
});